unit Unit_TeeGL_Canvas_Test;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeCanvas, TeeGLCanvas, StdCtrls, TeeGDIPlus, ExtCtrls, TeeProcs,
  TeeDraw3D;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Draw3D1: TDraw3D;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

type
  TGLAccess=class(TGLCanvas);

procedure TForm1.Button1Click(Sender: TObject);
var GL : TGLCanvas;
    t1, t2 : Cardinal;
begin
  Memo1.Clear;

  t1:=GetTickCount;

  //TeeFontAntiAlias:=DRAFT_QUALITY;

  GL:=TGLCanvas.Create;

  GL.InitWindow(Draw3D1.Canvas.ReferenceCanvas,Draw3D1.View3DOptions,clWhite,True,Draw3D1.ClientRect);
  GL.Projection(10,Draw3D1.ClientRect,Draw3D1.ClientRect);

  //TGLAccess(GL).SetAntiAlias(False);

  GL.Font.Size:=24;

  GL.Font.Name:='Arial';
  GL.TextOut(0,0,'Hello');

  GL.Font.Name:='Verdana';
  GL.TextOut(0,50,'Hello');

  GL.Font.Name:='Courier New';
  GL.TextOut(0,100,'Hello');

  GL.ShowImage(Draw3D1.Canvas.ReferenceCanvas,Draw3D1.Canvas.ReferenceCanvas,Draw3D1.ClientRect);
  GL.Free;

  t2:=GetTickCount;

  Memo1.Lines.Add(IntToStr(t2-t1)+' millisec');
end;

end.
